"Generowanie przetasowań sekwencji za pomocą funkcji lub wyrażenia"

def scramble1(seq):
    for i in range(len(seq)):                
        yield seq[i:] + seq[:i]        # Zwraca jeden element na iterację

scramble2 = lambda seq: (seq[i:] + seq[:i] for i in range(len(seq)))
